<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: behavior Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classEEPROM__cntl.html">EEPROM_cntl</a></li><li class="navelem"><a class="el" href="classEEPROM__cntl_1_1behavior.html">behavior</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">behavior Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classEEPROM__cntl_1_1behavior-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:ae50a10a866ce2aefed7c25c0339978fd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae50a10a866ce2aefed7c25c0339978fd"></a>
<a class="el" href="classEEPROM__cntl_1_1behavior.html#ae50a10a866ce2aefed7c25c0339978fd">PROCESS_62</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">rst</span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:abf678ea925d392bacd64c04c7e664827"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abf678ea925d392bacd64c04c7e664827"></a>
<a class="el" href="classEEPROM__cntl_1_1behavior.html#abf678ea925d392bacd64c04c7e664827">I2c_master_16b_Addr</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classI2c__master__16b__Addr.html">&lt;Entity I2c_master_16b_Addr&gt; </a></em></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Types"></a>
Types</h2></td></tr>
 <tr class="memitem:ab0ab95c9e13659965b935b4968ede38d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab0ab95c9e13659965b935b4968ede38d"></a>
<b><a class="el" href="classEEPROM__cntl_1_1behavior.html#ab0ab95c9e13659965b935b4968ede38d">state_typ</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">s_idle</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_WR_data_1</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_RD_data_1</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_RD_data_2</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">s_done</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a0ddf85201211c7bc7c670c630f816958"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0ddf85201211c7bc7c670c630f816958"></a>
<a class="el" href="classEEPROM__cntl_1_1behavior.html#a0ddf85201211c7bc7c670c630f816958">STATE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">state_typ</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0c93120908bbded4d5241431e409828d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0c93120908bbded4d5241431e409828d"></a>
<a class="el" href="classEEPROM__cntl_1_1behavior.html#a0c93120908bbded4d5241431e409828d">DLY_CNT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">127</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a77d5161d2f8a90eb9adcda051fb4783b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a77d5161d2f8a90eb9adcda051fb4783b"></a>
<a class="el" href="classEEPROM__cntl_1_1behavior.html#a77d5161d2f8a90eb9adcda051fb4783b">I2C_WR_STRB</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af8c4cec810a271e644f06271af52b3dd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af8c4cec810a271e644f06271af52b3dd"></a>
<a class="el" href="classEEPROM__cntl_1_1behavior.html#af8c4cec810a271e644f06271af52b3dd">I2C_RD_STRB</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a21025fe6e87dc5537cc53aa8c9458438"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a21025fe6e87dc5537cc53aa8c9458438"></a>
<a class="el" href="classEEPROM__cntl_1_1behavior.html#a21025fe6e87dc5537cc53aa8c9458438">I2C_DEV_ADDR</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac15bc3e201237281d069cb352f5288e0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac15bc3e201237281d069cb352f5288e0"></a>
<a class="el" href="classEEPROM__cntl_1_1behavior.html#ac15bc3e201237281d069cb352f5288e0">I2C_NUM_BYTES</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7579f9c4b3455c61c134227c0ac9261a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7579f9c4b3455c61c134227c0ac9261a"></a>
<a class="el" href="classEEPROM__cntl_1_1behavior.html#a7579f9c4b3455c61c134227c0ac9261a">I2C_ADDRESS</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a937ffb71cd49bb80ad6e73ec05b377ad"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a937ffb71cd49bb80ad6e73ec05b377ad"></a>
<a class="el" href="classEEPROM__cntl_1_1behavior.html#a937ffb71cd49bb80ad6e73ec05b377ad">I2C_DOUT_S1</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a03fb9d6b659eeaac78b05016749691ff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a03fb9d6b659eeaac78b05016749691ff"></a>
<a class="el" href="classEEPROM__cntl_1_1behavior.html#a03fb9d6b659eeaac78b05016749691ff">I2C_DIN</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adce31fb32174c58972056d17bdf74225"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adce31fb32174c58972056d17bdf74225"></a>
<a class="el" href="classEEPROM__cntl_1_1behavior.html#adce31fb32174c58972056d17bdf74225">I2C_BUSY</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a612f35b61e74b898c56161d7c3e802a8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a612f35b61e74b898c56161d7c3e802a8"></a>
<a class="el" href="classEEPROM__cntl_1_1behavior.html#a612f35b61e74b898c56161d7c3e802a8">DOUT_S1</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:af979d7a752c2485b53f35351b6f003a1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af979d7a752c2485b53f35351b6f003a1"></a>
<a class="el" href="classEEPROM__cntl_1_1behavior.html#af979d7a752c2485b53f35351b6f003a1">I2c_master_16b_Addr_inst</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>I2c_master_16b_Addr</b>  <em><a class="el" href="classI2c__master__16b__Addr.html">&lt;Entity I2c_master_16b_Addr&gt;</a></em></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="eeprom__cntl_8vhd_source.html#l00047">47</a> of file <a class="el" href="eeprom__cntl_8vhd_source.html">eeprom_cntl.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/localFlash/<a class="el" href="eeprom__cntl_8vhd_source.html">eeprom_cntl.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:33 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
